import { jsx as _jsx } from "react/jsx-runtime";
import DropdownProvider from './DropdownProvider';
import Dropdown from './Dropdown';
import { useDropdownProviderRef } from './useDropdownProviderRef';
export const SearchableDropdown = ({ children, ...props }) => {
    const providerRef = useDropdownProviderRef(props.resolver);
    return (_jsx(DropdownProvider, { ref: providerRef, children: _jsx(Dropdown, { ...props, children: children }) }));
};
export default SearchableDropdown;
//# sourceMappingURL=SearchableDropdown.js.map